Détails du package smp-audacity_2.3.2-1_all.wapt
retour Revenir à la liste des packages

smp-audacity

ATTENTION CE DÉPÔT n'est plus compatible 1.3 vous devez migrer en 1.5.1.21 !

Fichier control :

package           : smp-audacity
version           : 2.3.2-1
architecture      : all
section           : base
priority          : optional
name              : 
categories        : 
maintainer        : Simon Fonteneau
description       : Logiciel d'edition et d'enregistrement de son
depends           : 
conflicts         : 
maturity          : 
locale            : 
target_os         : 
min_os_version    : 
max_os_version    : 
min_wapt_version  : 
sources           : 
installed_size    : 
impacted_process  : 
description_fr    : 
description_pl    : 
description_de    : 
description_es    : 
audit_schedule    : 
editor            : 
keywords          : 
licence           : 
homepage          : 
package_uuid      : 54de0561-5118-47cc-83e6-b862794e0c7f
valid_from        : 
valid_until       : 
forced_install_on : 
signer            : wapt.lesfourmisduweb.org
signer_fingerprint: 8da83ebdac1a25e820b186510d049f47407b11835b0664fdc5bacd3595b1671d
signature         : yalPNI27jtBv0TCUycQy7N8d5zHDHfU7fD/3sXFlPgFfmFVpkn5zVkBqbC9Ts15581am5A2bYaAKT4O4Xrw1iojotl1o7WNQAeJKzcTet9TlXG0/HxoSXuQ5j8/57eFf1h1rnbg6SI6Vs+Oc6UpVYqXhc/qknklWIpr6NhRlNhNZI9iQECQXPrIzi7K/GDbNewvmdvypjNyg/BB/DBI4gRdZW3nWTRSK/D3xLuJwWYCPwRa/eLwZWU5HAdjOpgXFtJ8nFZZm/dKUOcwHqKsp5c1XkS+uTSsAOqnc63aU4qGaVw/Y9AVB2sHdVgVM8auzqY/BDQhMyFYQys8EgmZ5pQ==
signature_date    : 2019-06-09T10:08:49.863000
signed_attributes : package,version,architecture,section,priority,name,categories,maintainer,description,depends,conflicts,maturity,locale,target_os,min_os_version,max_os_version,min_wapt_version,sources,installed_size,impacted_process,description_fr,description_pl,description_de,description_es,audit_schedule,editor,keywords,licence,homepage,package_uuid,valid_from,valid_until,forced_install_on,signer,signer_fingerprint,signature_date,signed_attributes






Fichier setup.py :

# -*- coding: utf-8 -*-

from setuphelpers import *

uninstallkey=[]

def install():

    versionsoft = control['version'].split('-',1)[0]

    if uninstall_key_exists(u'Audacity®_is1'):
        if not isfile(makepath(install_location(u'Audacity®_is1'),'unins000.exe')):
            remove_tree(install_location(u'Audacity®_is1'))
            unregister_uninstall(u'Audacity®_is1')
        else:
            run(uninstall_cmd(u'Audacity®_is1'))

    install_exe_if_needed('audacity-win-%s.exe' % versionsoft,'/sp- /verysilent /norestart',u'Audacity_is1', versionsoft)
    uninstallkey.remove('Audacity_is1')

    remove_desktop_shortcut('Audacity')
    install_exe_if_needed('Lame_v3.99.3_for_Windows.exe','/sp- /verysilent /norestart','LAME_is1','')

def uninstall():
    if not isfile(makepath(install_location(u'Audacity_is1'),'unins000.exe')):
        remove_tree(install_location(u'Audacity_is1'))
        unregister_uninstall(u'Audacity_is1')
    else:
        run(uninstall_cmd(u'Audacity_is1'))